Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class HierarchicalQueue.Reader

    java.lang.Object
      java.io.InputStream
          de.grogra.util.HierarchicalQueue.Reader

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.io.ObjectInput

Direct Known Subclasses:
  GraphQueue.Processor, XAQueue.Reader

Enclosing class:
  HierarchicalQueue

    public class HierarchicalQueue.Reader

extends java.io.InputStream
implements java.io.ObjectInput

Field Summary
`protected java.io.ObjectInputStream` | `in`

Constructor Summary
`HierarchicalQueue.Reader(TypeLoader loader)`

Method Summary
`int` | `available()`
`void` | `close()`
`void` | `enter(boolean last)`
`boolean` | `isAt(HierarchicalQueue.Cursor c)`
`void` | `leave()`
`int` | `moveTo(HierarchicalQueue.Cursor c)`
`int` | `moveToCurrent()`
`int` | `next()`
`byte` | `peekByte()`
`double` | `peekDouble()`
`float` | `peekFloat()`
`int` | `peekInt()`
`long` | `peekLong()`
`java.lang.Object` | `peekObject()`
`void` | `popCursor()`
`int` | `previous()`
`void` | `pushCursor()`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`int` | `readInt()`
`int` | `readItem()`
`java.lang.String` | `readLine()`
`long` | `readLong()`
`java.lang.Object` | `readObject()`
`java.lang.Object` | `readObjectInQueue()`
`java.lang.Object` | `readObjectInStream()`
`short` | `readShort()`
`void` | `readSkipBlock()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`java.lang.String` | `readUTF()`
`int` | `resetCursor()`
`long` | `skip(long n)`
`void` | `skipBlock()`
`void` | `skipBoolean()`
`void` | `skipByte()`
`int` | `skipBytes(int n)`
`void` | `skipChar()`
`void` | `skipDouble()`
`void` | `skipFloat()`
`void` | `skipInt()`
`void` | `skipLong()`
`void` | `skipObjectInQueue()`
`void` | `skipShort()`
`void` | `skipUTF()`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected final java.io.ObjectInputStream in

Constructor Detail

### HierarchicalQueue.Reader

    public HierarchicalQueue.Reader(TypeLoader loader)

Method Detail

### available

    public final int available()

  Specified by:
    `available` in interface `java.io.ObjectInput`
  Overrides:
    `available` in class `java.io.InputStream`

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in interface `java.io.ObjectInput`
  Overrides:
    `close` in class `java.io.InputStream`

### enter

    public final void enter(boolean last)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### isAt

    public final boolean isAt(HierarchicalQueue.Cursor c)

### leave

    public final void leave()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### moveTo

    public final int moveTo(HierarchicalQueue.Cursor c)

### moveToCurrent

    public final int moveToCurrent()

### next

    public final int next()

### peekByte

    public final byte peekByte()

### peekDouble

    public final double peekDouble()

### peekFloat

    public final float peekFloat()

### peekInt

    public final int peekInt()

### peekLong

    public final long peekLong()

### peekObject

    public final java.lang.Object peekObject()

### popCursor

    public final void popCursor()

### previous

    public final int previous()

### pushCursor

    public final void pushCursor()

### read

    public final int read()

  Specified by:
    `read` in interface `java.io.ObjectInput`
  Specified by:
    `read` in class `java.io.InputStream`

### read

    public final int read(byte[] b)

  Specified by:
    `read` in interface `java.io.ObjectInput`
  Overrides:
    `read` in class `java.io.InputStream`

### read

    public final int read(byte[] b,
                          int off,
                          int len)

  Specified by:
    `read` in interface `java.io.ObjectInput`
  Overrides:
    `read` in class `java.io.InputStream`

### readBoolean

    public final boolean readBoolean()

  Specified by:
    `readBoolean` in interface `java.io.DataInput`

### readByte

    public final byte readByte()

  Specified by:
    `readByte` in interface `java.io.DataInput`

### readChar

    public final char readChar()

  Specified by:
    `readChar` in interface `java.io.DataInput`

### readDouble

    public final double readDouble()

  Specified by:
    `readDouble` in interface `java.io.DataInput`

### readFloat

    public final float readFloat()

  Specified by:
    `readFloat` in interface `java.io.DataInput`

### readFully

    public final void readFully(byte[] b)

  Specified by:
    `readFully` in interface `java.io.DataInput`

### readFully

    public final void readFully(byte[] b,
                                int off,
                                int len)

  Specified by:
    `readFully` in interface `java.io.DataInput`

### readInt

    public final int readInt()

  Specified by:
    `readInt` in interface `java.io.DataInput`

### readItem

    public final int readItem()

### readLine

    public final java.lang.String readLine()

  Specified by:
    `readLine` in interface `java.io.DataInput`

### readLong

    public final long readLong()

  Specified by:
    `readLong` in interface `java.io.DataInput`

### readObject

    public final java.lang.Object readObject()
                                      throws java.io.IOException,
                                             java.lang.ClassNotFoundException

  Specified by:
    `readObject` in interface `java.io.ObjectInput`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### readObjectInQueue

    public final java.lang.Object readObjectInQueue()

### readObjectInStream

    public final java.lang.Object readObjectInStream()
                                              throws java.io.IOException,
                                                     java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### readShort

    public final short readShort()

  Specified by:
    `readShort` in interface `java.io.DataInput`

### readSkipBlock

    public final void readSkipBlock()

### readUnsignedByte

    public final int readUnsignedByte()

  Specified by:
    `readUnsignedByte` in interface `java.io.DataInput`

### readUnsignedShort

    public final int readUnsignedShort()

  Specified by:
    `readUnsignedShort` in interface `java.io.DataInput`

### readUTF

    public final java.lang.String readUTF()
                                   throws java.io.UTFDataFormatException

  Specified by:
    `readUTF` in interface `java.io.DataInput`
  Throws:
    `java.io.UTFDataFormatException`

### resetCursor

    public final int resetCursor()

### skip

    public final long skip(long n)

  Specified by:
    `skip` in interface `java.io.ObjectInput`
  Overrides:
    `skip` in class `java.io.InputStream`

### skipBlock

    public final void skipBlock()

### skipBoolean

    public final void skipBoolean()

### skipByte

    public final void skipByte()

### skipBytes

    public final int skipBytes(int n)

  Specified by:
    `skipBytes` in interface `java.io.DataInput`

### skipChar

    public final void skipChar()

### skipDouble

    public final void skipDouble()

### skipFloat

    public final void skipFloat()

### skipInt

    public final void skipInt()

### skipLong

    public final void skipLong()

### skipObjectInQueue

    public final void skipObjectInQueue()

### skipShort

    public final void skipShort()

### skipUTF

    public final void skipUTF()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD